Subject: Re: bug#77140: [PATCH] Strip text properties on recentf entries

From: Ship Mints <[email-masked]>
Date: Thu, 20 Mar 2025 13:10:56 -0400

On Thu, Mar 20, 2025 at 12:57 PM Ship Mints <[email-masked]> wrote:

> Text properties are added by common completion frameworks, and serve no
> purpose when stored in 'recentf-save-file', waste space, and slow loading
> the file.
>
> I did not add this to NEWS as I consider this non-user visible.  Happy to
> add this if the maintainers disagree.
>
> I've been running recentf with 'substring-no-properties' for ages and
> others should benefit, by default.
>
> -Stephane
>

savehist already does this implicitly.  Perhaps it shouldn't even be
optional as I made it (it was an easy change).